Bug 476160 - Review Request: perl-Directory-Scratch - Self-cleaning scratch space for tests
Review Request: perl-Directory-Scratch - Self-cleaning scratch space for tests
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Directory...
:
Depends On:
Blocks: 473718
  Show dependency treegraph
 
Reported: 2008-12-12 00:44 EST by Chris Weyl
Modified: 2014-03-03 10:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-14 14:09:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-12-12 00:44:52 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Directory-Scratch.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Directory-Scratch-0.14-2.fc9.src.rpm

Description:
When writing test suites for modules that operate on files, it's often
inconvenient to correctly create a platform-independent temporary storage
space, manipulate files inside it, then clean it up when the test exits.
The inconvenience usually results in tests that don’t work everwhere, or
worse, no tests at all.

This module aims to eliminate that problem by making it easy to do things
right.
Comment 1 Chris Weyl 2008-12-12 00:46:27 EST
Koji (dist-f11): http://koji.fedoraproject.org/koji/taskinfo?taskID=994338
Comment 2 Parag AN(पराग) 2008-12-12 01:23:09 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=994338
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
3e759c3a5ff8c678725aad99e80a5c14  Directory-Scratch-0.14.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=37, Tests=268,  6 wallclock secs ( 0.20 usr  0.07 sys +  4.96 cusr  0.49 csys =  5.72 CPU)
+ Package perl-Directory-Scratch-0.14-2.fc11 =>
  Provides: perl(Directory::Scratch) = 0.14
  Requires: perl(Carp) perl(File::Copy) perl(File::Slurp) perl(File::Spec) perl(File::Temp) perl(File::stat) perl(Path::Class) perl(Scalar::Util) perl(overload) perl(strict) perl(warnings)

APPROVED.
Comment 3 Chris Weyl 2008-12-12 01:33:10 EST
New Package CVS Request
=======================
Package Name: perl-Directory-Scratch
Short Description: Self-cleaning scratch space for tests
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC:
Comment 4 Kevin Fenzi 2008-12-14 00:36:49 EST
cvs done.
Comment 5 Iain Arnell 2012-01-15 04:17:01 EST
Package Change Request
======================
Package Name: perl-Directory-Scratch
InitialCC: perl-sig

Please add perl-sig to this package with watchbugzilla and watchcommits bits on all fedora branches.
Comment 6 Gwyn Ciesla 2012-01-15 17:07:19 EST
Done.
Comment 7 Lubomir Rintel 2014-03-03 09:53:27 EST
Package Change Request
======================
Package Name: perl-Directory-Scratch
New Branches: epel7
Owners: lkundrak

The Fedora maintainer is unfortunately not maintaining EPEL packages:
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo
Comment 8 Gwyn Ciesla 2014-03-03 10:22:42 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.